|  | Home · All Classes · Modules

# QErrorMessage Class Reference
[QtGui module]

The QErrorMessage class provides an error message display dialog. More...

Inherits QDialog.

### Methods

- __init__ (self, QWidget parent = None)
- changeEvent (self, QEvent e)
- done (self, int)
- showMessage (self, QString message)
- showMessage (self, QString message, QString type)

### Static Methods

- QErrorMessage qtHandler ()

## Detailed Description

The QErrorMessage class provides an error message display dialog.

An error message widget consists of a text label and a checkbox. The checkbox lets the user control whether the same error message will be displayed again in the future, typically displaying the text, "Show this message again" translated into the appropriate local language.

For production applications, the class can be used to display messages which the user only needs to see once. To use QErrorMessage like this, you create the dialog in the usual way, and show it by calling the showMessage() slot or connecting signals to it.

The static qtHandler() function installs a message handler using qInstallMsgHandler() and creates a QErrorMessage that displays qDebug(), qWarning() and qFatal() messages. This is most useful in environments where no console is available to display warnings and error messages.

In both cases QErrorMessage will queue pending messages and display them in order, with each new message being shown as soon as the user has accepted the previous message. Once the user has specified that a message is not to be shown again it is automatically skipped, and the dialog will show the next appropriate message in the queue.

The Standard Dialogs example shows how to use QErrorMessage as well as other built-in Qt dialogs.

## Method Documentation

### QErrorMessage.__init__ (self, QWidget parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

Constructs and installs an error handler window with the given parent.

### QErrorMessage.changeEvent (self, QEvent e)

Reimplemented from QWidget.changeEvent().

### QErrorMessage.done (self, int)

Reimplemented from QDialog.done().

### QErrorMessage QErrorMessage.qtHandler ()

Returns a pointer to a QErrorMessage object that outputs the default Qt messages. This function creates such an object, if there isn't one already.

### QErrorMessage.showMessage (self, QString message)

This method is also a Qt slot with the C++ signature `void showMessage(const QString&)`.

Shows the given message, message, and returns immediately. If the user has requested for the message not to be shown again, this function does nothing.

Normally, the message is displayed immediately. However, if there are pending messages, it will be queued to be displayed later.

### QErrorMessage.showMessage (self, QString message, QString type)

This method is also a Qt slot with the C++ signature `void showMessage(const QString&,const QString&)`.

This is an overloaded function.

Shows the given message, message, and returns immediately. If the user has requested for messages of type, type, not to be shown again, this function does nothing.

Normally, the message is displayed immediately. However, if there are pending messages, it will be queued to be displayed later.

This function was introduced in Qt 4.5.

See also showMessage().